//=========================================================================
//
//	FILE:				CP_Dialog_App.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Application entry point for CP_Dialog demo app.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2005-08-30 22:28:44 -0700 (Tue, 30 Aug 2005) $
//
//=========================================================================

#ifndef _H_CP_Dialog_Application
#define _H_CP_Dialog_Application
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#include "CP_Event.h"

	// CPLAT_Framework
#include "CP_Application.h"
#include "CP_Dialog.h"
#include "CP_DocumentPolicy_None.h"
#include "CP_OSStatus.h"
#include "CP_PrintPolicy_None.h"
#include "CP_Types.h"
#include "CP_UndoPolicy_None.h"

//!  CP_Dialog_Application
/*!
  Application class for the CP_Dialog demo. 
*/
class CP_Dialog_Application : public CPLAT::CP_Application<CPLAT::CP_DocumentPolicy_None,
	CPLAT::CP_PrintPolicy_None, CPLAT::CP_UndoPolicy_None>
{
public:
	//! @name Construction
	//@{
	//! Constructor.
										CP_Dialog_Application();
	//! Destructor.
	virtual								~CP_Dialog_Application() throw();
	//@}

protected:
	//! @name AboutBox
	//@{
	virtual	CPLAT::CP_String			GetAboutBoxDescription() const;
	//@}

	//! @name Commands
	//@{
	virtual	void						HandleOpenApplication();
	//@}

	//! @name Windows
	//@{
			void						CreateBackgroundWindow( const CPLAT::CP_Point& inLocation );
	//@}

private:
	typedef CPLAT::CP_Application<CPLAT::CP_DocumentPolicy_None, CPLAT::CP_PrintPolicy_None, CPLAT::CP_UndoPolicy_None>	inherited;

	//! @name Slots
	//@{
			void						HandleDismiss(
												CPLAT::CP_DataValueHolder& /*inValue*/,
												CPLAT::OSStatus& inOutStatus );
			void						HandleCancel(
												CPLAT::CP_DataValueHolder& /*inValue*/,
												CPLAT::OSStatus& inOutStatus );
	//@}

	// class data
protected:
		
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

#endif	// _H_CP_Dialog_Application

