//=========================================================================
//
//	FILE:				DragDrop_App.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Application entry point for DragDrop testing app.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2005-08-30 22:32:52 -0700 (Tue, 30 Aug 2005) $
//
//=========================================================================

#ifndef _H_DragDrop_Application
#define _H_DragDrop_Application
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Application.h"
#include "CP_DocumentPolicy_None.h"
#include "CP_OSStatus.h"
#include "CP_PrintPolicy_None.h"
#include "CP_Types.h"
#include "CP_UndoPolicy_None.h"
#include "CP_Window.h"

#if TARGET_OS_LINUX
	typedef std::vector<CPLAT::CP_String>															CP_StringList;
	typedef std::vector<CPLAT::CP_String>::iterator													CP_StringList_Iterator;
	typedef std::vector<CPLAT::CP_String>::reverse_iterator											CP_StringList_ReverseIterator;
#else
	typedef std::vector<CPLAT::CP_String, std::allocator<CPLAT::CP_String> >						CP_StringList;
	typedef std::vector<CPLAT::CP_String, std::allocator<CPLAT::CP_String> >::iterator				CP_StringList_Iterator;
	typedef std::vector<CPLAT::CP_String, std::allocator<CPLAT::CP_String> >::reverse_iterator		CP_StringList_ReverseIterator;
#endif

//!  DragDrop_Application
/*!
  Application class for the CP_Scrolling demo. 
*/
class DragDrop_Application : public CPLAT::CP_Application<CPLAT::CP_DocumentPolicy_None,
		CPLAT::CP_PrintPolicy_None, CPLAT::CP_UndoPolicy_None>
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										DragDrop_Application();
	//! Destructor.
	virtual								~DragDrop_Application() throw();
	//@}

protected:
	//! @name AboutBox
	//@{
	virtual	CPLAT::CP_String			GetAboutBoxDescription() const;
	//@}

	//! @name Commands
	//@{
	virtual	void						HandleOpenApplication();
	//@}

private:
	typedef CPLAT::CP_Application<CPLAT::CP_DocumentPolicy_None, CPLAT::CP_PrintPolicy_None,
		CPLAT::CP_UndoPolicy_None>	inherited;

	//! @name Windows
	//@{
			void						HandleSourceWindow(
												CPLAT::OSStatus& inOutStatus,
												CPLAT::CP_CommandNo& inCommandNo );
	//@}

	// class data
protected:
	
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

#endif	// _H_DragDrop_Application

