//=========================================================================
//
//	FILE:				CP_HelloWorld_View.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			CP_View class to display the line "Hello World from CPLAT". 
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:31:16 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_HelloWorld_View
#define _H_CP_HelloWorld_View
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_View.h"

/*!
*	@class		CP_HelloWorld_View
*	@brief		CP_View subclass to display "Hello World from CPLAT" in the content area.
*/
class CP_EXPORT CP_HelloWorld_View : public CPLAT::CP_View
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_HelloWorld_View(
												CPLAT::CP_View *inSuperview,
												const CPLAT::CP_Point& inUpperLeft,
												const CPLAT::CP_Size& inContentSize );
	//! Destructor.
	virtual								~CP_HelloWorld_View() throw();
	//@}
			
protected:
	//! @name Drawing
	//@{
	virtual	void						OnDraw(
												CPLAT::CP_Canvas& inCanvas,
												CPLAT::CP_Region& inUpdateArea );
	//@}

	// class data
protected:
	
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

#endif	// _H_CP_HelloWorld_View

