//=========================================================================
//
//	FILE:				CP_ViewContent_TV_DB_Doc.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			CP_Document class to show the CP_TV_DataBrower in a
//						simple single column tree view.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2005-01-06 14:43:34 -0800 (Thu, 06 Jan 2005) $
//
//=========================================================================
#ifndef _H_CP_ViewContent_TV_DataBrowser_Doc
#define _H_CP_ViewContent_TV_DataBrowser_Doc
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_DataSource.h"
#include "CP_Document.h"
#include "CP_File.h"
#include "CP_FileSystemSpec.h"
#include "CP_OSTypes.h"
#include "CP_PrintPolicy_None.h"
#include "CP_ScriptableObject.h"
#include "CP_STLArrayDefines.h"
#include "CP_Types.h"
#include "CP_UndoPolicy_None.h"

class CP_EXPORT CP_ViewContentDataSource : public CPLAT::CP_DataSource
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_ViewContentDataSource();
	//! Destructor.
	virtual								~CP_ViewContentDataSource() throw();
	//@}
			
	//! @name Data
	//@{
	virtual	CPLAT::CP_DataValueHolder	GetData( SInt32 inID );
	//@}

protected:

	// class data
protected:
	
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

/*!
*	@class		CP_ViewContent_TV_DataBrowser_Doc
*	@brief		CP_Document class to handle the data from the main window and reading / writing contents.
*/
class CP_EXPORT CP_ViewContent_TV_DataBrowser_Doc : public CPLAT::CP_Document<CPLAT::CP_UndoPolicy_None, CPLAT::CP_PrintPolicy_None>,
	public CPLAT::CP_Object
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_ViewContent_TV_DataBrowser_Doc(
												CPLAT::CP_ScriptableObject *inContainer,
												CPLAT::FourCharCode inDocType );
	virtual								~CP_ViewContent_TV_DataBrowser_Doc() throw();
	//@}
			
	//! @name Creator
	//@{
	static	CPLAT::CP_Document_Base	 	*DocumentCreator(
												CPLAT::CP_ScriptableObject *inContainer,
												CPLAT::FourCharCode inDocumentClass );
	//@}

	//! @name Document UI
	//@{
	virtual	void						HandleCreateDocumentUI( SInt32 inPostCreateFlags = CP_E_Doc_Create_DoNothing );
	//@}

protected:

private:
			void						HandleHelperViewCreated(
												CPLAT::CP_DataValueHolder& inValue,
												CPLAT::OSStatus& /*inOutStatus*/ );
			void						HandlePopupCommand(
												CPLAT::OSStatus& inOutStatus,
												CPLAT::CP_CommandNo& inCommandNo );
			void						ControlClicked(
												CPLAT::CP_DataValueHolder& inValue,
												CPLAT::OSStatus& inOutStatus );

	// class data
protected:
	CP_ViewContentDataSource			*fViewContentDataSource;
	
private:
	typedef CPLAT::CP_Document<CPLAT::CP_UndoPolicy_None, CPLAT::CP_PrintPolicy_None>	inherited;

//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

#endif	// _H_CP_ViewContent_TV_DataBrowser_Doc

