//=========================================================================
//
//	FILE:				Threads_RectsView.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			CP_View class to display various size rects in various
//						colors in a window.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 5 $
//						Latest Checkout:  $Date: 2005-08-30 20:33:54 -0700 (Tue, 30 Aug 2005) $
//
//=========================================================================

#ifndef _H_Threads_RectsView
#define _H_Threads_RectsView
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_M_Thread.h"
#include "CP_View.h"

/*!
*	\class	Threads_RectsView
*	\brief	CP_View class to display various size rects in various
//						colors in a window.
*/

class CP_EXPORT Threads_RectsView : public CPLAT::CP_View, public CPLAT::CP_M_Thread
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										Threads_RectsView(
												CPLAT::CP_View *inSuperview,
												const CPLAT::CP_Point& inUpperLeft,
												const CPLAT::CP_Size& inContentSize );
	//! Destructor.
	virtual								~Threads_RectsView() throw();
	//@}
			
protected:
	//! @name Drawing
	//@{
	virtual	void						OnDraw(
												CPLAT::CP_Canvas& inCanvas,
												CPLAT::CP_Region& inUpdateArea );
	//@}

	//! @name Threading
	//@{
	virtual UInt32						Run();
	//@}

private:
	//! @name Slots
	//@{
			void						HandleWindowClosing(
												CPLAT::CP_DataValueHolder& inValue,
												CPLAT::OSStatus& inOutStatus );
	//@}

	// class data
protected:
	SInt32								fIter;
	bool								fNeedsErasing;

//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

#endif	// _H_Threads_RectsView

