//=========================================================================
//
//	FILE:				CP_UIClasses_doxy.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Doxygen source file for the main page of the documentation
//						for the UIClasses demo.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:38:29 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================

/*!
	@mainpage
	
	@section Overview  Overview

	The CP_UIClasses demo demonstrates the majority of the User Interface classes
	available in a CPLAT application. This does not show the use of some of the
	specialized classes, such as tables	or data browser. For these specialized clases
	there is a separate demo that demonstrates their useage.
	
	The following screen shots show some of the UI elements:

	@section Buttons Buttons
	
	@image html UIClasses_Buttons_OSX.jpg
	@image html UIClasses_Buttons_W2k.jpg

	This window shows the following classes, first under OSX then under Windows 2000.
		- CP_BevelButton - text, icon and picture contents
		- CP_CheckBox
		- CP_DisclosureButton
		- CP_RadioButton
		- CP_PopupMenu
		- CP_PushButton
		- CP_RadioGroup
		- CP_RoundButton (on supported platforms)

	@section Trackers Tracker Controls
	
	@image html UIClasses_Sliders_OSX.jpg
	@image html UIClasses_Sliders_W2k.jpg

	This window shows the various tracking type controls, first under OSX then under Windows 2000.
		- CP_EditField - (used to show the live tracking of the scroll bar and slider)
		- CP_ProgressBar
		- CP_Relevance
		- CP_ScrollBar
		- CP_Slider in various styles

	@section GroupBoxes Group Boxes
	
	@image html UIClasses_Groups_OSX.jpg
	@image html UIClasses_Group_W2k.jpg
	
	The above screen shots show various group boxes available in CPLAT.

	@section Misc MIsc
	
	@image html UIClasses_Misc_OSX.jpg
	@image html UIClasses_Misc_W2k.jpg
	
	And this final screen shots shows some of the following misc controls.
		- CP_ChasingArrows
		- CP_Clock
		- CP_DisclosureTriangle
		- CP_IconControl
		- CP_ImageWell
		- CP_LittleArrows
		- CCP_LittleArrowsEditBuddy
		- CP_PictureControl
		- CP_Separator
		_ CP_SegmentView
		_ CP_TabView which all of the above controls are displayed in.
		
*/
