//=========================================================================
//
//	FILE:				Undo_App.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Application class for the CP_Undo demo.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 5 $
//						Latest Checkout:  $Date: 2005-08-30 20:34:20 -0700 (Tue, 30 Aug 2005) $
//
//=========================================================================
#ifndef _H_Undo_Application
#define _H_Undo_Application
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Application.h"
#include "CP_DocumentFactoryManager.h"
#include "CP_DocumentPolicy_Multi.h"
#include "CP_PrintPolicy_None.h"
#include "CP_OSStatus.h"
#include "CP_Types.h"
#include "CP_UndoPolicy_Multi.h"

/*!
*	@class		Undo_Application
*	@brief		CP_Application class for the document demo.
*/
class Undo_Application : public CPLAT::CP_Application<CPLAT::CP_DocumentPolicy_Multi,
	CPLAT::CP_PrintPolicy_None, CPLAT::CP_UndoPolicy_Multi>
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										Undo_Application();
	//! Destructor.
	virtual								~Undo_Application() throw();
	//@}
			
protected:
	typedef CPLAT::CP_Application<CPLAT::CP_DocumentPolicy_Multi, CPLAT::CP_PrintPolicy_None, CPLAT::CP_UndoPolicy_Multi>	inherited;

	//! @name AboutBox
	//@{
	virtual	CPLAT::CP_String			GetAboutBoxDescription() const;
	//@}

	//! @name Documents
	//@{
	virtual	void						RegisterDocuments();
	//@}

	// class data
protected:
	
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

#endif	// _H_Undo_Application

