//=========================================================================
//
//	FILE:				Undo_Doc.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			CP_Document demo document class.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:39:13 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_Undo_Doc
#define _H_Undo_Doc
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Document.h"
#include "CP_File.h"
#include "CP_FileSystemSpec.h"
#include "CP_OSTypes.h"
#include "CP_PrintPolicy_None.h"
#include "CP_ScriptableObject.h"
#include "CP_TextView.h"
#include "CP_Types.h"
#include "CP_UndoPolicy_Multi.h"

/*!
*	@class		Undo_Doc
*	@brief		CP_Document class to handle the data from the main window and reading / writing contents.
*/
class CP_EXPORT Undo_Doc : public CPLAT::CP_Document<CPLAT::CP_UndoPolicy_Multi, CPLAT::CP_PrintPolicy_None>
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										Undo_Doc(
												CPLAT::CP_ScriptableObject *inContainer,
												CPLAT::FourCharCode inDocType );
	virtual								~Undo_Doc() throw();
	//@}
			
	//! @name Creator
	//@{
	static	CPLAT::CP_Document_Base	 	*DocumentCreator(
												CPLAT::CP_ScriptableObject *inContainer,
												CPLAT::FourCharCode inDocumentClass );
	//@}

	//! @name Document UI
	//@{
	virtual	void						HandleCreateDocumentUI( SInt32 inPostCreateFlags = CP_E_Doc_Create_DoNothing );
	//@}

protected:
	//! @name Persistance
	//@{
			void						CreateWriter(
												CPLAT::CP_PersistantWriter **inReturnWriter,
												CPLAT::FourCharCode inOSType );

	virtual	void						GetFileTypeInfo(
												const CPLAT::CP_FileSystemSpec& inFileSpec,
												CPLAT::FourCharCode *inOutCreator,
												CPLAT::FourCharCode *inOutType,
												CPLAT::CP_String *inOutFileExtension );
	//@}

private:

	// class data
protected:
	
private:
	typedef CPLAT::CP_Document<CPLAT::CP_UndoPolicy_Multi, CPLAT::CP_PrintPolicy_None>	inherited;

//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

#endif	// _H_Undo_Doc

