//=========================================================================
//
//	FILE:				CP_DataSource_Strings.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			A CP_DataSource object that maintains a list of string
//						data.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 243 $
//						Latest Checkout:  $Date: 2005-07-24 20:18:42 -0700 (Sun, 24 Jul 2005) $
//
//=========================================================================
#ifndef _H_CP_M_DataSource_Strings
#define _H_CP_M_DataSource_Strings
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_DataSource.h"
#include "CP_DataValueHolder.h"
#include "CP_M_ReferenceCounted.h"
#include "CP_Object.h"
#include "CP_STLArrayDefines.h"
#include "CP_Types.h"

CPLAT_Begin_Namespace_CPLAT

class CP_EXPORT CP_DataSource_Strings : public CP_DataSource
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_DataSource_Strings();
	//! Destructor.
	virtual								~CP_DataSource_Strings() throw();
	//@}
			
	//! @name Data
	//@{
	virtual	CP_DataValueHolder			GetData( SInt32 inID );
	virtual	CP_DataValueHolder			GetData(
												SInt32 inID,
												UInt32 inOptionalProperty );
	//@}

	//! @name Getters
	//@{
			CP_Strings_Array			GetStringsArray()							{ return( fStringData ); }
	//@}

	//! @name setters
	//@{
			void						SetStringsArray( const CP_Strings_Array& inStrings );
	//@}

	//! @name Sorting
	//@{
	virtual	bool						Compare(
												SInt32 inIDLeft,
												SInt32 inIDRight,
												bool inSortUp );
	//@}

protected:

	// class data
protected:
	CP_Strings_Array					fStringData;
	
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_M_DataSource_Strings

