//=========================================================================
//
//	FILE:				CP_PropertyList_String.h
//	
//						Created by Jens Miltner on 01.12.04.
//	
//	PURPOSE:			CP_PropertyList strings.
//	
//	HISTORY:			1st Version - January 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 115 $
//						Latest Checkout:  $Date: 2005-03-24 16:55:37 -0800 (Thu, 24 Mar 2005) $
//
//=========================================================================
#ifndef _H_CP_PropertyList_String
#define _H_CP_PropertyList_String

#include "CP_PropertyList_Node.h"
#include "CP_String.h"

CPLAT_Begin_Namespace_CPLAT

namespace CP_PropertyList {

	class CP_EXPORT String : public Node, public CP_String
	{
	public:
		String();
		explicit String(const String& inSrc);
		String(const CP_String& inSrc);
	#if CP_PropertyList_Uses_CoreFoundation
		String(CFStringRef inRef, bool inRetain);
	#endif
		virtual ~String() throw();
		
		virtual void PrintToLog(CP_LogFile& inLogFile, SInt32 inLevel=0, SInt32 inIndentLevel=0) const;
		virtual NodeType_t NodeType() const throw();
		
		static String* FromXMLData(CP_InStream& inXMLDataStream);

	#if CP_PropertyList_Uses_CoreFoundation
		virtual CFTypeRef/*CFStringRef*/ GetNodeCFRef() const;
	#endif
	#if !CP_PropertyList_Uses_CoreFoundation
	protected:
		//! write XML data for this node only (i.e. without xml header, plist root, etc.)
		virtual void WriteNodeXMLData(CP_OutStream& inXMLDataStream, int inLeadingSpaces) const;
	#endif
	};


} // end of namespace CP_PropertyList

CPLAT_End_Namespace_CPLAT

#endif // _H_CP_PropertyList_String
