//=========================================================================
//
//	FILE:				CP_Undo.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Class to provide undo support.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_Undo
#define _H_CP_Undo
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_EventHandler.h"
#include "CP_NoCopy.h"
#include "CP_String.h"
#include "CP_UndoAction.h"

CPLAT_Begin_Namespace_CPLAT

/*!
*	@class		CP_Undo
*	@brief		Class to provide undo support.
*/
class CP_EXPORT CP_Undo
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_Undo( CP_EventHandler& inEventHandler );
	//! Destructor.
										~CP_Undo() throw();
	//@}

			void						Add( CP_UndoAction *inAction );
			
			void						Commit( OSWindow inTargetWindow );
						
protected:

	// class data
protected:
	CP_EventHandler&					fEventHandler;
	
	CP_UndoAction						*fAction;

//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_Undo

