//=========================================================================
//
//	FILE:				CP_UndoPolicy_None.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Undo policy class for objects that do not support undo / redo.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 194 $
//						Latest Checkout:  $Date: 2005-05-25 22:20:49 -0700 (Wed, 25 May 2005) $
//
//=========================================================================
#ifndef _H_CP_UndoPolicy_None
#define _H_CP_UndoPolicy_None
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Action.h"
#include "CP_M_CommandHandler.h"
#include "CP_NoCopy.h"

CPLAT_Begin_Namespace_CPLAT

/*!
*	@class		CP_UndoPolicy_None
*	@brief		Undo policy class for objects that do not support undo.
*/

class CP_EXPORT CP_UndoPolicy_None : public CP_NoCopy
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_UndoPolicy_None();
	//! Destructor.
	virtual								~CP_UndoPolicy_None() throw();
	//@}
			
	//! @name Menu Status
	//@{
			void						UpdateUndoMenuStatus(
												CP_CommandStatus& inOutCommandStatus,
												bool& inOutResult,
												CP_CommandNo& inCommand );
			void						UpdateRedoMenuStatus(
												CP_CommandStatus& inOutCommandStatus,
												bool& inOutResult,
												CP_CommandNo& inCommand );
	//@}

	//! @name Commands
	//@{
			void						HandlePostCommand( CP_Action *inCommand );
			void						HandleUndoCommand( OSStatus& inOutStatus );
			void						HandleRedoCommand( OSStatus& inOutStatus );
	//@}

protected:

	// class data
protected:
	
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_UndoPolicy_None

