//=========================================================================
//
//	FILE:				CP_SignalSlot_Defines.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Definitions for signals and slots used in CPLAT.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 256 $
//						Latest Checkout:  $Date: 2005-08-26 19:35:37 -0700 (Fri, 26 Aug 2005) $
//
//=========================================================================
#ifndef _H_CP_SignalSlot_Defines
#define _H_CP_SignalSlot_Defines
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_OSStatus.h"
#include "CP_OSTypes.h"
#include "CP_SignalSlot.h"
#include "CP_Types.h"

	// forward class declarations
class CP_Event_Base;

CPLAT_Begin_Namespace_CPLAT

//=========================================================================
//	Controls
//=========================================================================
#define kCP_Signal_ValueChanged									"ValueChanged"
#define kCP_Signal_Clicked										"Clicked"

#define kCP_Slot_SetValue										"Slot_SetValue"

//=========================================================================
//	Dialogs
//=========================================================================
#define kCP_Signal_DismissDialog								"DismissDialog"
#define kCP_Signal_CancelDialog									"CancelDialog"

//=========================================================================
//	DataB rowser
//=========================================================================
#define kCP_Signal_DB_ContainerOpening							"ContainerOpening"
#define kCP_Signal_DB_ContainerClosing							"ContainerClosing"

//=========================================================================
//	Drawers
//=========================================================================
#define kCP_Signal_DrawerOpening								"DrawerOpening"
#define kCP_Signal_DrawerOpened									"DrawerOpen"
#define kCP_Signal_DrawerClosing								"DrawerClosing"
#define kCP_Signal_DrawerClosed									"DrawerClosed"

//=========================================================================
//	Image
//=========================================================================
#define kCP_Signal_ImageBoundsChanged							"ImageBoundsChanged"

//=========================================================================
//	Internet / Socket
//=========================================================================
#define kCP_Signal_InternetProgress								"InternetProgress"

//=========================================================================
//	Misc
//=========================================================================
#define kCP_Signal_BoundsChanged								"BoundsChanged"
#define kCP_Signal_ColumnResizing								"ColumnResizing"
#define kCP_Signal_ColumnSort									"ColumnSort"
#define kCP_Signal_FocusChanged									"FocusChanged"
#define kCP_Signal_HandleIdleTime								"HandleIdleTimer"
#define kCP_Signal_TimedTask									"TimedTask"

#define kCP_Slot_SetFocus										"SetFocus"
#define kCP_Slot_ColumnResized									"ColumnResized"
#define kCP_Slot_ColumnSort										"ColumnSort"

//=========================================================================
//	OpenGL
//=========================================================================
#define kCP_Signal_DrawOpenGLContent							"DrawOpenGL"

//=========================================================================
//	Text Fields
//=========================================================================
#define kCP_Signal_TextFieldExit								"TextFieldExit"

//=========================================================================
//	Tables
//=========================================================================
#define kCP_Signal_InsertChildren								"InsertChildren"
#define kCP_Signal_RemoveChildren								"RemoveChildren"
#define kCP_Signal_DoubleClicked								"DoubleClicked"

#define kCP_Signal_ContentHandlerEditDoneClicked				"CHEditDone"

#define kCP_Signal_ColumnClicked								"ColumnClicked"
#define kCP_Signal_SelectionChanged								"SelectionChanged"
#define kCP_Signal_CellClicked									"CellClicked"
#define kCP_Signal_CellDoubleClicked							"CellDoubleClicked"

#define kCP_Signal_RowAdded										"RowAdded"
#define kCP_Signal_ColumnAdded									"ColAdded"
#define kCP_Signal_RowHeightChanged								"RowHeightChanged"
#define kCP_Signal_ColumnWidthChanged							"ColumnWidthChanged"
#define kCP_Signal_HelperViewCreated							"HelperViewCreated"

#define kCP_Slot_DataContentChanged								"DataContentChanged"

//=========================================================================
//	Toolbar
//=========================================================================
#define kCP_Signal_GetAllowableItems							"GetAllowableItems"
#define kCP_Signal_GetDefaultItems								"GetDefaultItems"
#define kCP_Signal_CreateItemFromIdentifier						"CreateItemFromIdentifier"

//=========================================================================
//	Views
//=========================================================================
#define kCP_Signal_Activate										"Activate"
#define kCP_Signal_Deactivate									"Deactivate"
#define kCP_Signal_Show											"Show"
#define kCP_Signal_Hide											"Hide"
#define kCP_Signal_Enable										"Enable"
#define kCP_Signal_Disable										"Disable"

#define kCP_Slot_Activate										"ActivateSlot"
#define kCP_Slot_Deactivate										"DeactivateSlot"
#define kCP_Slot_Show											"ShowSlot"
#define kCP_Slot_Hide											"HideSlot"
#define kCP_Slot_Enable											"EnableSlot"
#define kCP_Slot_Disable										"DisableSlot"

//=========================================================================
//	Windows
//=========================================================================
#define kCP_Signal_WindowClosing								"WindowClosing"

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_SignalSlot_Defines

