//=========================================================================
//
//	FILE:				CP_DocumentFactoryManager.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			DESCRIBE CLASS HERE
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_DocumentFactoryManager
#define _H_CP_DocumentFactoryManager
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Application.h"
#include "CP_Document_Base.h"
#include "CP_NoCopy.h"
#include "CP_ScriptableObject.h"
#include "CP_Types.h"

CPLAT_Begin_Namespace_CPLAT

typedef CP_Document_Base *(*DocumentFactoryProc)( CP_ScriptableObject *inContainer, FourCharCode inDocumentClass );

typedef std::pair<FourCharCode, DocumentFactoryProc>							DocumentFactories_Key;
typedef std::map<FourCharCode, DocumentFactoryProc>								DocumentFactories_Map;
typedef std::map<FourCharCode, DocumentFactoryProc>::iterator					DocumentFactories_Iterator;

class CP_EXPORT CP_DocumentFactoryManager : public CP_NoCopy
{
public:
									// Construction / destruction
										CP_DocumentFactoryManager();
	virtual								~CP_DocumentFactoryManager() throw();
			
	static	CP_DocumentFactoryManager			*Instance();

			CP_Document_Base			*CreateDocument(
												CP_ScriptableObject *inContainer, 
												FourCharCode inDocumentClass );
			
			void						RegisterFactory(
												FourCharCode inDocType, 
												DocumentFactoryProc inDocumentFactoryProc );

protected:

	// class data
protected:
	static CP_DocumentFactoryManager	*fsInstance;

	DocumentFactories_Map				fDocumentFactories;
		
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

template <class T>
class CP_EXPORT CP_DocumentRegistration
{
public:
										CP_DocumentRegistration( UInt32 inDocumentType )
										{ 
											if( CP_DocumentFactoryManager::Instance() != NULL )
											{
									          	DocumentFactoryProc			creatorCallback = NULL;
												
												creatorCallback = T::DocumentCreator;
												
												if( creatorCallback != NULL )
													CP_DocumentFactoryManager::Instance()->RegisterFactory( inDocumentType, creatorCallback );
											}
									 	}
										~CP_DocumentRegistration()					{}
};

//#define	CP_RegisterDocumentType(inClassName, inDocumentType)				CPLAT::CP_DocumentRegistration<inClassName>::CP_DocumentRegistration()

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_DocumentFactoryManager

