//=========================================================================
//
//	FILE:				CP_CGImage.h
//	
//						Copyright  2005. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			A class to handle Quartz CGImages.
//	
//	HISTORY:			1st Version - February 2005.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 183 $
//						Latest Checkout:  $Date: 2005-05-20 15:23:52 -0700 (Fri, 20 May 2005) $
//
//=========================================================================
#ifndef _H_CP_CGImage
#define _H_CP_CGImage
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#if TARGET_OS_MAC && TARGET_RT_MAC_MACHO

	// CPLAT_Framework
#include "CP_CGColorSpace.h"
#include "CP_CGDataProvider.h"

CPLAT_Begin_Namespace_CPLAT

/*!
*	@class		CP_CGImage
*	@brief		A class to handle Quartz CGImages.
*/
class CP_EXPORT CP_CGImage
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_CGImage(
												SInt32 inWidth,
												SInt32 inHeight,
												const CP_CGColorSpace& inColorSpace,
												const CP_CGDataProvider& inDataProvider );
	//! Destructor.
	virtual								~CP_CGImage() throw();
	//@}

	//! @name Constructor / Destructor
	//@{
			CGImageRef					GetImageRef()								{ return( fCGImageRef ); }
	//@}

protected:

private:
			
	// class data
private:
	CGImageRef							fCGImageRef;
};

CPLAT_End_Namespace_CPLAT

#endif	// TARGET_OS_MAC && TARGET_RT_MAC_MACHO

#endif	// _H_CP_CGImage

