//=========================================================================
//
//	FILE:				CP_DocApp_DefaultMenus_Mach.r
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Default menu definitionns for a CP_DocumentApp CPLAT
//						application.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================

	// CPLAT_Framework
#include "CP_MenuItemEnableFlags.h"

	// Apple Includes
#include <Carbon/Carbon.r>

resource 'MBAR' (128)
{
	{
		128,
		129,
		130
	}
};

resource 'MENU' (128)
{
	128,
	textMenuProc,
	allEnabled,
	enabled,
	apple,
	{
		"About Application", noIcon, noKey, noMark, plain
	}
};

resource 'xmnu' (128, purgeable)
{
	versionZero
	{
		{
			dataItem { 18, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
		}
	};
};

resource 'MENU' (129, "File Menu")
{
	129,
	textMenuProc,
	NoItems,
	enabled,
	"File",
	{
		"New", noIcon, "N", noMark, plain,
		"Open", noIcon, "O", noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Close", noIcon, "W", noMark, plain,
		"Save", noIcon, "S", noMark, plain,
		"Save As...", noIcon, noKey, noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Page Setup...", noIcon, noKey, noMark, plain,
		"Print...", noIcon, "P", noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Quit", noIcon, "Q", noMark, plain,
	}
};

resource 'xmnu' (129, purgeable)
{
	versionZero
	{
		{
			dataItem { 1, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 2, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			skipitem {},
			dataItem { 3, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 4, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 5, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			skipitem {},
			dataItem { 7, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 8, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			skipitem {},
			dataItem { 9, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
		}
	};
};

resource 'MENU' (130, "Edit Menu")
{
	130,
	textMenuProc,
	NoItems,
	enabled,
	"Edit",
	{
		"Undo", noIcon, "Z", noMark, plain,
		"Redo", noIcon, "", noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Cut", noIcon, "X", noMark, plain,
		"Copy", noIcon, "C", noMark, plain,
		"Paste", noIcon, "V", noMark, plain,
		"Clear", noIcon, "", noMark, plain,
		"Select All", noIcon, "A", noMark, plain,
	}
};

resource 'xmnu' (130, purgeable)
{
	versionZero
	{
		{
			dataItem { 10, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 16, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			skipitem {},
			dataItem { 11, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 12, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 13, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 14, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 15, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
		}
	};
};
